######################################
## robot_return.py
##
## robot raquette return after hits
##
######################################

import GameLogic
import mathutils

#############################################################################
#set objects orientation
def owner_orientation(alpha, beta, gamma):
	alpha = alpha * 3.1416 / 180
	beta = beta * 3.1416 / 180
	gamma = gamma * 3.1416 / 180
	rot_en_euler = mathutils.Euler([alpha, beta, gamma])
	owner.worldOrientation = rot_en_euler.to_matrix()

#############################################################################

# Get the controller
controller = GameLogic.getCurrentController()
# Get the owner
owner = controller.owner

# Set robot raquette if ball is far
owner.worldPosition = [ 0, -4.2, 0.6 ]

alpha = 0
beta = 0
gamma = 0
owner_orientation(alpha, beta, gamma)
