import GameLogic
import math
import mathutils

# Get owner, host, port
controller = GameLogic.getCurrentController()
owner = controller.owner

# how many frame for average
nb_item = 10

# dt = time between 2 frames
dt = 0.0166

attribution = GameLogic.attribution

#############################################################################
# Get new data
handWii = GameLogic.handWii

# How many data
nbVal = len(handWii)

# allocate osc data to variable
for i in range(nbVal - 2):
	for msg_id, variable in attribution.items():
		if handWii[i + 2][0] == msg_id:
			globals()[variable] = GameLogic.handWii[i + 2][2]

# Set prop in owner
if a == 8: owner['a'] = True
else: owner['a'] = False

if b == 4: owner['b'] = True
else: owner['b'] = False

# test IR
#print(blobs1X, blobs1Y, blobs2X, blobs2Y, blobs3X, blobs3Y, blobs4X, blobs4Y)

#############################################################################
## to do
previous_values = GameLogic.previous_values

# this code is horrible : mon orgueil est dans mes talons
# Get pos ori acc from previous frame
x1 = GameLogic.x
y1 = GameLogic.y
z1 = GameLogic.z

vx1 = GameLogic.vx
vy1 = GameLogic.vy
vz1 = GameLogic.vz

ax1 = GameLogic.ax
ay1 = GameLogic.ay
az1 = GameLogic.az

# Get average acceleration
ax0 = 0
for i in range(len(GameLogic.ax0)):
	ax0 = ax0 + GameLogic.ax0[i]
ax0 = ax0 / len(GameLogic.ax0)

ay0 = 0
for i in range(len(GameLogic.ay0)):
	ay0 = ay0 + GameLogic.ay0[i]
ay0 = ay0 / len(GameLogic.ax0)

az0 = 0
for i in range(len(GameLogic.az0)):
	az0 = az0 + GameLogic.az0[i]
az0 = az0 / len(GameLogic.ax0)


## Set position
# Good acc with decalage d origine
ax2 = accX - ax0
ay2 = accY - ay0
az2 = accZ - az0

ax2 = 300 * ax2
ay2 = 100 * ay2
az2 = 10 * az2

vx2 = vx1 + ax2 * dt
x2  = x1 + vx2 * dt

vy2 = vy1 + ay2 * dt
y2  = y1 + vy2 * dt

vz2 = vz1 + az2 * dt
z2  = z1 + vz2 * dt

# changement repere et decalage origine
xxx = - x2 - 0.6
yyy = y2 
zzz = z2 + 0.6

# Set owner position
owner.localPosition = ( yyy ,  xxx , zzz)

GameLogic.x = x2
GameLogic.y = y2
GameLogic.z = z2

GameLogic.vx = vx2
GameLogic.vy = vy2
GameLogic.vz = vz2

if xxx < -0.3 or xxx >= 0.3 :
	GameLogic.x = 0.0
	GameLogic.vx = 0.0

if yyy < -0.5 or yyy >= 0.5 :
	GameLogic.y = 0.0
	GameLogic.vy = 0.0

if zzz < 0.3 or zzz  >= 0.9 :
	GameLogic.z = 0.0
	GameLogic.vz = 0.0

#############################################################################
#set objects orientation
def owner_orientation(alpha, beta, gamma):
	alpha = alpha * 3.1416 / 180
	beta = beta * 3.1416 / 180
	gamma = gamma * 3.1416 / 180
	rot_en_euler = mathutils.Euler([alpha, beta, gamma])
	owner.worldOrientation = rot_en_euler.to_matrix()
#############################################################################
# Good ori
mpYaw = (mpYaw - 8020) / 8000
mpRoll = (mpRoll - 8020) / 8000
mpPitch = (8040 - mpPitch) / 8000

# Set orientation
alpha = - mpPitch * 120
beta = mpRoll * 120
gamma =  mpYaw * 120 - 90

# Set orientation
owner_orientation(alpha, beta, gamma)

#############################################################################
# Store acc for next frame
GameLogic.ax = ax2
GameLogic.ay = ay2
GameLogic.az = az2

# Create list with nb items
if len(GameLogic.ax0) < nb_item:
	GameLogic.ax0.append(accX)

if len(GameLogic.ay0) < nb_item:
	GameLogic.ay0.append(accY)

if len(GameLogic.az0) < nb_item:
	GameLogic.az0.append(accZ)

# Add last acceleration in stack and del the first in stack
if len(GameLogic.ax0) == nb_item:
	del GameLogic.ax0[0]
	GameLogic.ax0.append(accX)

if len(GameLogic.ay0) == nb_item:
	del GameLogic.ay0[0]
	GameLogic.ay0.append(accY)

if len(GameLogic.az0) == nb_item:
	del GameLogic.az0[0]
	GameLogic.az0.append(accZ)

